Subject: RE: bug#37930: 26.3; Elisp manual: please remove index entry `seq library'

From: Drew Adams <[email-masked]>
Date: Sat, 26 Oct 2019 08:55:11 -0700 (PDT)

> > > > `seq library' does not belong here.
> > >
> > > Disagree.  You are assessing index entries from
> > > a completely wrong angle.
> >
> > What angle is that?
> 
> That of consistency.  As expressed by "doesn't belong".
> 
> > You disagree that `seq library' doesn't belong.
> > Fair enough.  Why do you think it belongs?
> 
> That's a wrong question, when talking about index entries.  the
> important question is "is it useful?"

Fair enough.  Read it that way then, if you
want to quibble.

To me, it doesn't belong - it shouldn't be
present, because I don't see it as especially
useful.  But I'll be glad to learn how it is.

You don't say why it's useful.  In particular,
why is it more useful than an entry that could
be added for some other library?  What's so
useful about this entry for this library?

> > Maybe there's a good reason for entry `seq
> > library'.  It's not obvious to me.
> 
> Not obvious to you doesn't mean you should file a bug report, or that
> we should continue discussing this.

I should file a bug report when I think it can
help improve Emacs.  And that's what I do.

Please don't tell others when or whether they
_should_ file bug reports.  You can close any
report that you don't think is helpful.